package discord

import (
	"git.mgmcomp.net/thisnthat/discordgo"
)

// MemberUpdate provides the data structure for a member update
type MemberUpdate struct {
	Nick  string
	Roles []string
}

// GetMember gets a discord member.
// session  : An active discordgo session
// guid		: The ID of the Guild
// uid	    : The ID of a User.
func GetMember(session *discordgo.Session, guid, uid string) (*discordgo.Member, error) {
	return session.GuildMember(guid, uid)
}

// UpdateMember edits the roles of a member.
// session  : An active discordgo session
// guid		: The ID of the Guild
// uid	    : The ID of a User.
// roles    : A list of role ID's to set on the member.
func UpdateMember(session *discordgo.Session, guid, uid string, template MemberUpdate) error {
	err := session.GuildMemberEditCustom(guid, uid, template.Nick, template.Roles)

	return err
}
